//==============================================================================================
// TX and RX Function
//==============================================================================================

unsigned char a;

void init(void)					// subroutine to initialize
{
	SPBRG=0x0A;					// set baud rate as 115200 baud
	INTCON.BRGH=1;
	INTCON.TXEN=1;
	INTCON.CREN=1;
	INTCON.SPEN=1;
	TRISD = 0b00000000;
}

void display(unsigned char c)		// subrountine to display the text on the screen
{
	while (TXIF == 0);
	TXREG = c;
}

unsigned char receive(void)			// subrountine to receive text from PC
{
	while (RCIF == 0);
	a = RCREG;
	return a;
}


//================================================================================================
//	Main Function
//================================================================================================
void main(void)
{
	init();

  do  {

	       	a = receive();
	          	if (a == 'K')
		          	{
                   portb.f7=1;
		           	}

          a = receive();
              if(a == 'A')
                {
                   portb.f6=1;
                }

        }while(1) ;

}

